Bug 1017814 - Review Request: rwhoisd - ARIN's Referral WHOIS server
Review Request: rwhoisd - ARIN's Referral WHOIS server
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 10:40 EDT by Petr Pisar
Modified: 2014-04-03 13:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: rwhoisd-1.5.9.5-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-03 13:01:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-10-10 10:40:54 EDT
Spec URL: http://ppisar.fedorapeople.org/rwhoisd/rwhoisd.spec
SRPM URL: http://ppisar.fedorapeople.org/rwhoisd/rwhoisd-1.5.9.5-1.fc19.src.rpm
Description:
This server is a reference implementation of the server side of the RWhois
protocol, first described in RFC 1714.  This server attempts to implement
concepts and practices in accordance with version 1.5 of the protocol,
described in RFC 2167.

Fedora Account System Username: ppisar
Comment 1 Petr Šabata 2013-10-17 02:07:09 EDT
Taking the review.
Comment 2 Petr Šabata 2013-10-17 03:50:32 EDT
FIX: mkdb/metaphon.c states its license is 'Public domain' explicitly.  The License tag should reflect it.
FIX: Don't mention the BSD license.  You're removing the bundled code and using system tcp_wrappers.

I don't think there are any other issues with the package.
Comment 3 Petr Pisar 2013-10-17 04:51:08 EDT
Updated package is on the same URLs.

(I just wonder that nobody cares about License tag in source packages).
Comment 4 Petr Šabata 2013-10-18 03:16:02 EDT
That's just how it's currently done in Fedora :)
Approving.
Comment 5 Petr Pisar 2013-10-21 03:07:59 EDT
New Package SCM Request
=======================
Package Name: rwhoisd
Short Description: ARIN's Referral WHOIS server
Owners: ppisar
Branches: f19 f20
InitialCC:
Comment 6 Gwyn Ciesla 2013-10-21 08:20:13 EDT
Git done (by process-git-requests).
Comment 7 Petr Pisar 2013-10-21 10:15:39 EDT
Thank you for the review and the repository.
Comment 8 Fedora Update System 2013-10-21 10:19:30 EDT
rwhoisd-1.5.9.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rwhoisd-1.5.9.5-1.fc20
Comment 9 Fedora Update System 2013-10-21 10:19:53 EDT
rwhoisd-1.5.9.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rwhoisd-1.5.9.5-1.fc19
Comment 10 Fedora Update System 2013-10-24 08:00:07 EDT
rwhoisd-1.5.9.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rwhoisd-1.5.9.6-1.fc20
Comment 11 Fedora Update System 2013-10-24 08:00:46 EDT
rwhoisd-1.5.9.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rwhoisd-1.5.9.6-1.fc19
Comment 12 Fedora Update System 2013-11-04 21:50:05 EST
rwhoisd-1.5.9.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-11-10 01:57:39 EST
rwhoisd-1.5.9.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.